# TARGTYPE "Win32 (x86) Console Application" 0x0103

################################################################################
# Begin Project
# PROP Target_Last_Scanned "Win32 Debug"
CPP=cl.exe
RSC=rc.exe

BINDIR=..\bin
LIBDIR=..\lib
INCDIR=..\include

LIBNAME=libbasic

STCFLAGS=-H$(INCDIR) -staticMethods -varPrefix=$(LIBNAME)

ALL : $(LIBDIR)\$(LIBNAME).lib $(BINDIR)\$(LIBNAME).dll

$(LIBDIR) : 
	if not exist $(LIBDIR)/nul mkdir $(LIBDIR)


# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 1
# PROP BASE Output_Dir "WinDebug"
# PROP BASE Intermediate_Dir "WinDebug"
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 1
# PROP Output_Dir "WinDebug"
# PROP Intermediate_Dir "WinDebug"
OUTDIR=.
INTDIR=.\

$(OUTDIR) : 
    if not exist $(OUTDIR)/nul mkdir $(OUTDIR)

DEFS=/D"DEBUG" /D"WIN32" /D"i386" /D"_CONSOLE"
O=obj

INCL=/I"D:\mstools\include" /I"$(INCDIR)" /I"D:\mstools" /I"D:\mstools\h" /I"D:\mstools\h\sys" 

# ADD BASE CPP /nologo /W3 /GX /Zi /YX /Od /D "WIN32" /D "i386" /D "DEBUG" /D "_CONSOLE" /FR /c
# ADD CPP /nologo /W3 /GX /Zi /YX /Ob1 $(INCL) /D "DEBUG" /D "WIN32" /D "i386" /D "_CONSOLE" /FR /c
# SUBTRACT CPP /WX
CPP_PROJ=/nologo /W3 /GX /Zi /YX /Ob1 $(INCL) $(DEFS) /FR$(INTDIR)/\
 /Fp"$(OUTDIR)\$(LIBNAME).pch" /Fo$(INTDIR)/ /Fd"$(OUTDIR)\$(LIBNAME).pdb" /c 
CPP_OBJS=$(OUTDIR)/
# ADD BASE RSC /l 0x409 /d "DEBUG"
# ADD RSC /l 0x409 /d "DEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo

LIBRUN=$(LIBDIR)\librun.lib

LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib /NOLOGO /SUBSYSTEM:windows /DEBUG /MACHINE:I386
# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /NOLOGO /SUBSYSTEM:windows /DEBUG /MACHINE:I386

LINK32_LIBS=kernel32.lib user32.lib gdi32.lib \
	    winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
	    wsock32.lib

LINK32_FLAGS=$(LINK32_LIBS) \
 $(LIBRUN) \
 /NOPACK /NOLOGO /SUBSYSTEM:windows /INCREMENTAL:yes\
 /PDB:"$(OUTDIR)\$(LIBNAME).pdb" /DEBUG:FULL /MACHINE:I386 /DLL \
 /BASE:0x10800000 \
 /OUT:"$(OUTDIR)\$(LIBNAME).dll" /DEF:nt.def 

DEF_FILE=nt.def
OBJS= \
    Object.obj               \
      Autoload.obj           \
      Behavior.obj           \
	ClassDescr.obj       \
	  Class.obj          \
	  Metaclass.obj      \
	    PMetaclass.obj   \
      Project.obj            \
      Namespace.obj          \
      Boolean.obj            \
	True.obj             \
	False.obj            \
      CCReader.obj           \
      Coll.obj               \
	Bag.obj              \
	FileDir.obj          \
	SeqColl.obj          \
	  ArrColl.obj        \
	    Array.obj        \
	      WeakArr.obj    \
	    ByteArray.obj    \
	      CharArray.obj  \
		String.obj   \
		  Symbol.obj \
	      UIBytes.obj    \
	    DoubleArray.obj  \
	    FloatArray.obj   \
	Interval.obj         \
	LinkList.obj         \
	  Semaphore.obj      \
	OrdColl.obj          \
	  SortColl.obj       \
	Set.obj              \
	  Dict.obj           \
	    IdDict.obj       \
	      WeakIdDict.obj \
		WeakDepDict.obj \
	    WeakVDict.obj    \
	  IdSet.obj          \
	    WeakIdSet.obj    \
	    SignalSet.obj    \
	    SemaSet.obj      \
      Context.obj            \
	BContext.obj         \
      Delay.obj              \
      Exception.obj          \
      ExecFunc.obj           \
	CompCode.obj         \
	  Block.obj          \
	    CheapBlk.obj     \
	  Method.obj         \
      Filename.obj           \
      InterestC.obj          \
      Link.obj               \
	Process.obj          \
      Magnitude.obj          \
	LookupKey.obj        \
	  Assoc.obj          \
	AbstrTime.obj        \
	  AbsTime.obj        \
	  Time.obj           \
	ArithVal.obj         \
	  Number.obj         \
	    Fraction.obj     \
	    Integer.obj      \
	      SmallInt.obj   \
	      LargeInt.obj   \
	    LPReal.obj       \
	      Float.obj      \
	      SFloat.obj     \
	  Point.obj          \
	Character.obj        \
	Date.obj             \
      Message.obj            \
      MiniDebug.obj          \
      MiniIns.obj            \
      ObjMem.obj             \
      ProcSched.obj          \
      Geometric.obj          \
	Rectangle.obj        \
      Registry.obj           \
	HRegistry.obj        \
      Signal.obj             \
	QuerySig.obj         \
      Smalltalk.obj          \
      Stream.obj             \
	PeekStr.obj          \
	  PosStream.obj      \
	    ReadStr.obj      \
	    WriteStr.obj     \
	      RWStream.obj   \
	      ExtStream.obj  \
		FileStr.obj  \
		  DirStr.obj     \
		  NPExtStr.obj   \
		  PipeStr.obj    \
      UndefObj.obj           \
      ExtAddr.obj            \
      ExtBytes.obj           \
      ExtFunc.obj            \
      MthdDict.obj           \
	Unix.obj                     \
      Obsolete.obj           \
      BOSS.obj               \
      BinIOMgr.obj           \
	BinInMgr.obj         \
	BinOutMgr.obj        \
	ntLibInit.obj

# after SmallInt.obj   LargeInt.obj
# after NPExtStr.obj => PipeStr.obj
# after MthdDict.obj => Unix.obj 

$(BINDIR)\$(LIBNAME).dll: $(OUTDIR)\$(LIBNAME).dll
	-copy $(OUTDIR)\$(LIBNAME).dll $(BINDIR)\*.*

$(LIBDIR)\$(LIBNAME).lib: $(OUTDIR)\$(LIBNAME).lib
	-copy $(OUTDIR)\$(LIBNAME).lib $(LIBDIR)\*.*

$(OUTDIR)\$(LIBNAME).lib : $(OUTDIR) $(DEF_FILE) $(OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(OBJS)
<<

$(OUTDIR)\$(LIBNAME).dll : $(OUTDIR) $(DEF_FILE) $(OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(OBJS)
<<

clean:
	del *.obj *.pdb *.ilk

clobber: clean
	del *.dll *.lib 

.c{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

############################################################################
# Begin Group "src"

STC=$(BINDIR)\stc
DBGFLAGS=-Yd
# FFLAGS= -P -Fo.$(OUTDIR)

.SUFFIXES: .st .obj

.st.obj:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -c $<

.st.c:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -C $<

.st.asm:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -S $<

.c.obj:
    $(CC) $(INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) -c $<

# End Source File
############################################################################

# End Group
# End Project
############################################################################
